Bug 39444 - Action ReflectedType differs from Delegate ReflectedType for virutal methods
Summary: Action ReflectedType differs from Delegate ReflectedType for virutal methods
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Reflection (show other bugs)
Version: 4.2.0 (C6)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2016-03-08 12:18 UTC by mholenko
Modified: 2017-02-09 00:04 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Example (588 bytes, text/x-csharp)
2016-03-08 12:18 UTC, mholenko
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description mholenko 2016-03-08 12:18:42 UTC
Created attachment 15306 [details]
Example

This bug is related to #33879.

Compile and run the attached example.

Output on Mono master/1508297:
==============================

False
False
test35.DerivedClass
test35.BaseClass

Output on .NET:
===============

True
True
test35.BaseClass
test35.BaseClass


It seems that ReflectedType property has wrong value.
Comment 1 Ludovic Henry 2016-03-08 17:58:35 UTC
There is in fact a difference between Mono and .NET behaviour.

Thank you very much,
Ludovic
Comment 2 Ludovic Henry 2017-02-08 20:14:25 UTC
Zoltan, would you mind taking a look at that? Thank you
Comment 3 Ludovic Henry 2017-02-09 00:04:55 UTC
This is fixed with https://github.com/mono/mono/pull/4353. Thank you Zoltan!